Skip to main content
GET
/
knowledge-base
/
datasets
/
{dataset_id}
/
sources
List sources in a knowledge base
curl --request GET \
  --url https://api.anyreach.ai/knowledge-base/datasets/{dataset_id}/sources \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "chunking_strategy": {
        "chunk_size": 1000
      },
      "total_chunks": 123,
      "processed_chunks": 123,
      "sources": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "organization_id": "<string>",
        "name": "<string>",
        "domain": "<string>",
        "chunking_strategy": {
          "chunk_size": 1000
        },
        "file_size": 123,
        "description": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "limit": 123,
    "next_cursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Personal access token. See Authentication.

Path Parameters

dataset_id
string<uuid>
required

The knowledge base ID.

Query Parameters

source_name
string

Filter by source name (case-insensitive).

source_type
enum<string>

Filter by source type. Whether the source is an uploaded file or a crawled URL.

Available options:
FILE,
URL
file_extension
string

Comma-separated extensions, e.g. 'pdf' or 'txt,md'.

limit
integer
default:20

Items per page.

Required range: 1 <= x <= 100
cursor
string

Pagination cursor.

Response

A page of attached sources.

data
object[]
pagination
object